Summary: GD.pm -- A perl5 interface to Thomas Boutell's gd library.
Name: GD
Version: 1.23
Release: 1
Group: Development/Libraries/Perl
Copyright: Perl
Url: http://stein.cshl.org/WWW/software/GD/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://stein.cshl.org/WWW/software/GD/GD-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
GD is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.


%prep
%setup -q


%build
perl Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS"
make test
perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|g' demos/*


%install
rm -rf $RPM_BUILD_ROOT
make pure_install \
	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/5.00503/man/man3
perl -pi -e "s|^$RPM_BUILD_ROOT||" `find $RPM_BUILD_ROOT -name .packlist`

# construct file list
find $RPM_BUILD_ROOT -type f | sed "s|^$RPM_BUILD_ROOT||" > files.lst
find $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.005 -type d \
  | sed -e "s|^$RPM_BUILD_ROOT|%dir |" \
  | egrep -v "^%dir /usr/lib/perl5/site_perl/5.005(/i386-linux(/auto)?)?$" \
  >> files.lst


%files -f files.lst
%defattr(-,root,root)
%doc ChangeLog README* demos


%clean
rm -rf $RPM_BUILD_ROOT

